org.apache.bcel.util

## Class ClassLoaderRepository

- java.lang.Object
- - org.apache.bcel.util.ClassLoaderRepository

- All Implemented Interfaces:
    Repository

      public class ClassLoaderRepository
      extends Object
      implements Repository

  The repository maintains information about which classes have been loaded. It loads its data from the ClassLoader implementation passed into its constructor.
  Version:
    $Id: ClassLoaderRepository.java 1749603 2016-06-21 20:50:19Z ggregory $
  See Also:
    `Repository`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassLoaderRepository(ClassLoader loader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear all entries from cache.
    `JavaClass` | `findClass(String className)` Find an already defined JavaClass.
    `ClassPath` | `getClassPath()` Get the ClassPath associated with this Repository
    `JavaClass` | `loadClass(Class<?> clazz)` Find the JavaClass instance for the given run-time class object
    `JavaClass` | `loadClass(String className)` Lookup a JavaClass object from the Class Name provided.
    `void` | `removeClass(JavaClass clazz)` Remove class from repository
    `void` | `storeClass(JavaClass clazz)` Store a new JavaClass into this Repository.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassLoaderRepository

          public ClassLoaderRepository(ClassLoader loader)

  - ### Method Detail

    - #### storeClass

          public void storeClass(JavaClass clazz)

      Store a new JavaClass into this Repository.
      Specified by:
        `storeClass` in interface `Repository`

    - #### removeClass

          public void removeClass(JavaClass clazz)

      Remove class from repository
      Specified by:
        `removeClass` in interface `Repository`

    - #### findClass

          public JavaClass findClass(String className)

      Find an already defined JavaClass.
      Specified by:
        `findClass` in interface `Repository`

    - #### loadClass

          public JavaClass loadClass(String className)
                              throws ClassNotFoundException

      Lookup a JavaClass object from the Class Name provided.
      Specified by:
        `loadClass` in interface `Repository`
      Throws:
        `ClassNotFoundException`

    - #### loadClass

          public JavaClass loadClass(Class<?> clazz)
                              throws ClassNotFoundException

      Description copied from interface: `Repository`
      Find the JavaClass instance for the given run-time class object
      Specified by:
        `loadClass` in interface `Repository`
      Throws:
        `ClassNotFoundException`

    - #### clear

          public void clear()

      Clear all entries from cache.
      Specified by:
        `clear` in interface `Repository`

    - #### getClassPath

          public ClassPath getClassPath()

      Description copied from interface: `Repository`
      Get the ClassPath associated with this Repository
      Specified by:
        `getClassPath` in interface `Repository`

Copyright © 2004–2017 The Apache Software Foundation. All rights reserved.